<div class="eth-place" ng-if="$ctrl.hasResults">
    <a name="eth-place-selected-results-anchor" class="eth-place-anchor"></a>
    <md-card md-theme="default" class="eth-selected-results-card" ng-if="($ctrl.geoTopics && $ctrl.geoTopics.length > 0) || $ctrl.poi && $ctrl.poi.links && $ctrl.poi.links.length > 0">
        <md-card-title>
            <md-card-title-text>
                <h2 class="md-headline">{{$ctrl.ethConfigService.getLabel($ctrl.config, 'selectedResults')}}</h2>
            </md-card-title-text>
        </md-card-title>
        <md-card-content>
            <div ng-if="$ctrl.geoTopics && $ctrl.geoTopics.length > 0">
                <h3 class="md-subhead eth-link-list-heading">
                    {{$ctrl.ethConfigService.getLabel($ctrl.config, 'titleGeoTopics')}} 
                </h3>
                <ul class="eth-link-list">
                    <li ng-repeat="topics in $ctrl.geoTopics">
                        <a ng-href="{{topics.url}}">
                            {{topics.name}}
                            <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                        </a>
                    </li>
                </ul>
            </div>
            <div ng-if="$ctrl.poi && $ctrl.poi.links && $ctrl.poi.links.length > 0">
                <div ng-if="$ctrl.poi">
                    <h3 class="md-subhead eth-link-list-heading">
                        {{$ctrl.ethConfigService.getLabel($ctrl.config, 'titleEthorama1')}}
                    </h3>
                    <p>
                        {{$ctrl.ethConfigService.getLabel($ctrl.config, 'textEthorama1')}}
                        <a ng-href="{{$ctrl.ethConfigService.getUrl($ctrl.config, 'ethorama')}}{{$ctrl.poi.id}}" target="_blank">
                            ETHorama
                            <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                        </a>
                        {{$ctrl.ethConfigService.getLabel($ctrl.config, 'textEthorama2')}}
                    </p>
                    <ul class="eth-link-list">
                        <li ng-repeat="link in $ctrl.poi.links">
                            <a ng-href="{{link.url}}" target="_blank">
                                {{link.text}}
                                <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                                <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </md-card-content>
    </md-card>

    <a name="eth-place-anchor" class="eth-place-anchor"></a>
    <md-card md-theme="default" md-theme-watch>
        <md-card-title>
            <md-card-title-media ng-if="$ctrl.poi.thumbnail">
                <img class="md-card-image" ng-src="{{$ctrl.poi.thumbnail}}" />
            </md-card-title-media>
            <md-card-title-text>
                <h2 class="md-headline">{{$ctrl.ethConfigService.getLabel($ctrl.config, 'moreInformations')}}</h2>
            </md-card-title-text>
        </md-card-title>
        <md-card-content>
            <div>
                <h3 class="md-subhead eth-link-list-heading">{{$ctrl.ethConfigService.getLabel($ctrl.config, 'wdLinks')}}</h3>
                <p ng-if="$ctrl.wikidataURL"><a ng-href="{{$ctrl.wikidataURL}}" target="_blank">
                    Wikidata
                    <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                    <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                </a></p>
                <p ng-if="$ctrl.wikipediaURL"><a ng-href="{{$ctrl.wikipediaURL}}" target="_blank">
                    Wikipedia
                    <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                    <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                </a></p>
                <p ng-if="$ctrl.geonamesURL"><a ng-href="{{$ctrl.geonamesURL}}" target="_blank">
                    Geonames
                    <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                    <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                </a></p>
                <p ng-if="$ctrl.gndURL"><a ng-href="{{$ctrl.gndURL}}" target="_blank">
                    GND (Gemeinsame Normdatei der Deutschen Nationalbibliothek)
                    <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                    <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                </a></p>
                <p ng-if="$ctrl.hlsURL"><a ng-href="{{$ctrl.hlsURL}}" target="_blank">
                    Historisches Lexikon der Schweiz
                    <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                    <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                </a></p>
                <p ng-if="$ctrl.archinformURL"><a ng-href="{{$ctrl.archinformURL}}" target="_blank">
                    archINFORM
                    <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                    <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                </a></p>
            </div>
            <div ng-if="$ctrl.geolinks && $ctrl.geolinks.length > 0">
                <h3 class="md-subhead eth-link-list-heading" ng-if="$ctrl.geolinks.length > 0">{{$ctrl.ethConfigService.getLabel($ctrl.config, 'geolinkerLinks')}}</h3>
                <p>Links powered by <a target="_blank" href="https://histhub.ch/" class="md-default-theme">
                    Histhub
                    <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                </a></p>
                <p>{{$ctrl.ethConfigService.getLabel($ctrl.config, 'geolinker')}}</p>
                <ul class="eth-link-list">
                    <li ng-repeat="object in $ctrl.geolinks">
                        <a ng-href="{{object[1]}}" target="_blank">
                            {{object[0]}}
                            <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                            <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                        </a>
                    </li>
                </ul>
            </div>
            <div ng-if="$ctrl.nearto && $ctrl.nearto.length > 0">
                <h3 class="md-subhead eth-link-list-heading">
                    {{$ctrl.ethConfigService.getLabel($ctrl.config, 'titleNearto')}}
                </h3>
                <ul class="eth-link-list">
                    <li ng-repeat="place in $ctrl.nearto">
                        <a ng-href="{{$ctrl.makePlacePageLink(place.qid)}}">
                            <span class="eth-person__small__text">{{place.name}}</span>
                            <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                        </a>

                    </li>
                </ul>
            </div>
            <div ng-if="$ctrl.persons && $ctrl.persons.length > 0">
                <h3 class="md-subhead eth-link-list-heading">
                    {{$ctrl.ethConfigService.getLabel($ctrl.config, 'titlePersons')}}
                </h3>
                <ul class="eth-link-list">
                    <li ng-repeat="person in $ctrl.persons">
                        <a ng-href="{{$ctrl.makePersonPageLink(person.qid)}}">
                            <span class="eth-person__small__text">{{person.preferredName}}</span>
                            <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                        </a>
    
                    </li>
                </ul>
            </div>
            <div ng-if="$ctrl.poi && $ctrl.poi.dossiers && $ctrl.poi.dossiers.length > 0">
                <h3 class="md-subhead eth-link-list-heading">
                    {{$ctrl.ethConfigService.getLabel($ctrl.config, 'titleEthorama2')}}
                </h3>
                <ul class="eth-link-list">
                    <li ng-repeat="dossier in $ctrl.poi.dossiers">
                        <a ng-href="{{dossier.url}}" target="_blank">
                            {{dossier.text}}
                            <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                            <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                        </a>
                    </li>
                </ul>
            </div>
            <div ng-if="$ctrl.poi && $ctrl.poi.routes && $ctrl.poi.routes.length > 0">
                <h3 class="md-subhead eth-link-list-heading">
                    {{$ctrl.ethConfigService.getLabel($ctrl.config, 'titleEthorama3')}}
                </h3>
                <ul class="eth-link-list">
                    <li ng-repeat="route in $ctrl.poi.routes">
                        <a ng-href="{{route.url}}" target="_blank">
                            {{route.text}}
                            <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                            <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                        </a>
                    </li>
                </ul>
            </div>
            <div ng-if="$ctrl.maps && $ctrl.maps.length > 0">
                <h3 class="md-subhead eth-link-list-heading">
                    {{$ctrl.ethConfigService.getLabel($ctrl.config, 'titleMaps')}}
                </h3>
                <ul class="eth-link-list">
                    <li ng-repeat="map in $ctrl.maps">
                        <a ng-href="{{map.url}}" target="_blank">
                            {{map.title}}<span ng-if="map.attribution">, {{map.attribution}}</span><span ng-if="map.hint"> {{map.hint}}</span>
                            <prm-icon external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="open-in-new"></prm-icon>
                            <prm-icon link-arrow external-link icon-type="svg" svg-icon-set="primo-ui" icon-definition="chevron-right"></prm-icon>
                        </a>
                    </li>
                </ul>
            </div>
            <div ng-if="$ctrl.coordinates" id="mapid"></div>
        </md-card-content>
    </md-card>
</div>
